### Function

# Pango.scan_string

#### Declaration [src]

    gboolean
    pango_scan_string (
      const char** pos,
      GString* out
    )

#### Description [src]

Scans a string into a `GString` buffer.

The string may either be a sequence of non-white-space characters, or a quoted string with ‘”’. Instead a quoted string, ‘"’ represents a literal quote. Leading white space outside of quotes is skipped.

#### Parameters

`pos` | `const char**`
| in/out string position
| Direction: in-out
| Ownership of the data is transferred to the callee
| The string is a NUL terminated UTF-8 string
`out` | `GString*`
| a `GString` into which to write the result
| Ownership is not transferred to the callee

#### Return value

Returns: `gboolean`
`FALSE` if a parse error occurred.